package io.gisbi.application.baseinfo.service.impl;

import io.gisbi.application.baseinfo.domain.Application;
import io.gisbi.application.baseinfo.mapper.ApplicationMapper;
import io.gisbi.application.baseinfo.service.IApplicationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.gisbi.application.module.service.IModuleService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 应用系统 服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-03-24
 */
@Service
public class ApplicationServiceImpl extends ServiceImpl<ApplicationMapper, Application> implements IApplicationService {
    @Resource
    private IModuleService moduleService;
    @Override
    @Transactional
    public boolean createApplication(Application application) {
        this.save(application);
        moduleService.initAppModules(application.getId());
        return true;
    }
}
